Subject: Re: [6lo] Is 16-bit addressing out? (Re: RFC 4944bis anyone ?)

From: Robert Cragie <[email-masked]>
Date: Fri, 14 Nov 2014 03:04:59 +0000

Coming to this a bit late - 16-bit-based IIDs most definitely have a use 
in 802.15.4 networks and should not be deprecated.

Robert

On 10/09/2014 1:43 PM, Michael Richardson wrote:
> Carsten Bormann <[email-masked]> wrote:
>      >> - It would be nice if we could rely on interface identifiers based on
>      >> EUI-64, and a more secure version - it would be nice if we could
>      >> deprecate the use of 15.4 short addressing...the transient nature of
>      >> these addresses seems to aggravate an already pressing issue with
>      >> nodes in the LLN changing their IP address frequently.
>
>      > This made me curious --- is a need to deprecate short (16-bit) addresses
>      > a widely held opinion?  I'm hearing this view for the first time.
>
> Me too.
>
>
>
> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo

---

From: Kerry Lynn <[email-masked]>
Date: Fri, 14 Nov 2014 08:30:40 -0500

On Thu, Nov 13, 2014 at 10:04 PM, Robert Cragie <[email-masked]
> wrote:

> It's sounds to me as though IIDs based on a straightforward reversible
transformation
of a short L2 address are not going to meet the requirements of "providing
privacy".
Those on the scene may want to follow today's discussion in 6lo.

Kerry

Robert
> Carsten Bormann <[email-masked]> <[email-masked]> wrote:
>     > This made me curious — is a need to deprecate short (16-bit) addresses
>     > a widely held opinion?  I’m hearing this view for the first time.
>
> Me too.
>
>
>
>
> 6lo mailing [email-masked]://www.ietf.org/mailman/listinfo/6lo
>
>
>